
import java.io.File;

import java.io.ObjectOutputStream;
import java.io.ObjectInputStream;

import java.io.FileOutputStream;
import java.io.FileInputStream;

import java.io.IOException;
import java.io.FileWriter;


public class fileHandler implements java.io.Serializable {
	
	private chopperData fdata;
	private int errorCode = -1;
	private String errorMess; 
		
	
	public fileHandler(chopperData cdata)	{
		this.fdata = cdata;
	}
	
	public fileHandler()	{
		this.fdata = null;
	}
	
	public void setChopperData( chopperData cd )	{
		this.fdata = cd;
	}
	
	public synchronized boolean writeObjectFile( String fname )
	{
		try {
			FileOutputStream fos = new FileOutputStream( fname );
			ObjectOutputStream osStream = new ObjectOutputStream( fos );		
			osStream.writeObject( fdata );
			osStream.flush();
			osStream.close();
			
			return true;
		}
		catch( IOException ie1 ) {	
//			errorMess = ie1.getErrorMessage();
		}
		
		return false;
	}
	
	public synchronized boolean writeBatchFile( String fname1 )
	{
		try {
			FileWriter fos = new FileWriter( fname1 );
			String outputText = "@Echo Off. \n Echo - Created by ALIF\nCOPY /b \"";
			String[] tempFiles = fdata.getSegFileNames();
			for( int i =0; i < fdata.getTotalSegment(); i++ )
			{
				outputText += tempFiles[i] ;
				if( i != fdata.getTotalSegment() - 1 )
					outputText += "\" + \"";
			}
			outputText += "\" /b \"" +  fdata.getFileName() + "\" /b";
			
			fos.write( outputText );
			fos.close();
			return true;
		}
		catch( IOException ioe1 ) {    }
		return false;
	}
	
	public synchronized boolean writeScriptFile()	{
		// need to work on it..
		return true;		
	}
	
	public synchronized chopperData readObjectFile( File fname )
	{
		try {
			FileInputStream fis = new FileInputStream( fname );
			ObjectInputStream ois = new ObjectInputStream( fis );
			fdata = (chopperData) ois.readObject();
			
			ois.close();
			
			return fdata;
		}
		catch( IOException ioe1 ) {		}
		catch( ClassNotFoundException cnfe1 ) {		}
		
		return null;
	}
		
	
	

}