
import javax.swing.JFrame;
import javax.swing.JDesktopPane;
import javax.swing.JEditorPane;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JInternalFrame;

import java.io.IOException;
import java.awt.Container;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;

import java.io.File;
import java.net.URL;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;


public class helpFrame extends JInternalFrame implements ActionListener, constants {

	private JButton okBtn = null;
	private JEditorPane mainPane = null;
	private JDesktopPane parent = null;
	private URL helpFileURL;
	
	public helpFrame(JDesktopPane jdp)
	{
		super(" Help Window ", false, false, true, true );
		parent = jdp;
		setComponents();
	}
	
	private void setComponents()
	{
		Container fullWin = getContentPane();
		fullWin.setLayout( new BorderLayout() );
		fullWin.setBackground( bgColor );
		
		mainPane = new JEditorPane();
		try {
			helpFileURL = this.getClass().getResource( "help.html" );
			mainPane.setEditable( false );
			mainPane.setPage( helpFileURL );
		}
		catch(IOException ioe1)	{
			mainPane = null;
			ioe1.printStackTrace(); 
		}
	
		okBtn = new JButton("OK");
		okBtn.addActionListener( this );
		JPanel bottomPanel = new JPanel();
		bottomPanel.add( new javax.swing.JLabel(" THe help file for File Chopper ") );
		bottomPanel.add( okBtn );
		
		if( mainPane != null )
			fullWin.add( new JScrollPane( mainPane,
				JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED,
				JScrollPane.HORIZONTAL_SCROLLBAR_AS_NEEDED) , 
				BorderLayout.CENTER );
		else
			fullWin.add( new javax.swing.JLabel("                ! ERROR READING FROM HELP FILE !" ) );
			
		fullWin.add( bottomPanel, BorderLayout.SOUTH );
		
		setSize( 560, 360 );
		setVisible( true );
	}
	
	public void actionPerformed(ActionEvent ae1)
	{
		if( ae1.getSource() == okBtn )
		{
			this.setVisible( false );
			parent.remove( this );
		}
	}

//	public static void main(String arhs[])	
//	{
//		new helpFrame();	
//	}

}
		
	
