
import javax.swing.*;
import java.awt.*;


public class mProgressFrame extends JInternalFrame implements constants {
	
	private int currentMarker;
	private int endMarker=1;
	private float maxWidth;
	private float maxHeight;
	private Graphics g = null;

	public mProgressFrame()
	{
		super("Progress Frame" );
//		super("Progress Frame");
		setComponent();
	}
	
	private void setComponent()
	{
		this.setSize(200,80);
		this.setVisible( true );
		this.setLocation( 100, 100 );
		maxWidth = (float) this.getSize().width - 2 - 7;	// startvalue = 5
		maxHeight = (float) this.getSize().height - 2 - 5; // startvalue = 5
		System.out.println(" HELLO" );
		repaint();
	}
		

	public void setValue( int n )	{
		this.currentMarker = n;
		repaint();
	}
	
	public void setMaximum( int max )	{
		this.endMarker = max;
	}
	
	public void paint( Graphics g )
	{
		super.paint( g );
		g.setColor( bgColor );
		g.drawRect( 2, 2, this.getSize().width - 4, this.getSize().height - 4 );
		
		g.setColor( progressColor );
		g.drawRect( 5, 39, (int)maxWidth, (int) (maxHeight/2 +2 ) );
		
		if( endMarker > 1 )	{
			int x = (int)  ( ( maxWidth/endMarker ) * (float)currentMarker );
			g.fillRect( 7, 41, 7+x, (int) (maxHeight/2-1 ) );		
			
			g.setColor( Color.white );
			g.setFont( progressBarFont );
			if( currentMarker == endMarker - 1 )
				g.drawString( "Complete.", 60, 60);
			else
				g.drawString( "Working..", 60, 60);				
			
			
		}
		
	} 
	
/*	public static void main( String	args[] )
	{
		mProgressFrame mp = new mProgressFrame();
		for( int i=0; i < 100; i++ )	{
			mp.setValue( i );
		}
		
	}	
*/	




}
	
	